#ifndef Komponente_HEADER
#define Komponente_HEADER

#include <vector>
#include "Lieferant.h"

class Komponente {
public:
   Komponente() {};
   void addLieferant(const Lieferant&);
   void entferneLieferant(const Lieferant&);
   bool hatLieferant(const Lieferant& li) const;
private:
   std::vector<Lieferant> container;

   Komponente(const Komponente&) = delete;
   Komponente& operator=(const Komponente&) = delete;
};

#endif
